Qt 5.13 | Qt WebEngine | QML Types | FileDialogRequest QML Type

Qt 5.13.2 Reference Documentation

# FileDialogRequest QML Type

A request for letting the user choose a (new or existing) file or directory. More...

Import Statement: | import QtWebEngine 1.9
Since: | QtWebEngine 1.4

- List of all members, including inherited members

## Properties

- accepted : bool
- acceptedMimeTypes : stringlist
- defaultFileName : string
- mode : enumeration

## Methods

- void dialogAccept(files)
- void dialogReject()

## Detailed Description

A FileDialogRequest is passed as an argument of the WebEngineView::fileDialogRequested signal. It is generated when the file dialog is requested by the input element. See File Upload state.

The accepted property of the request indicates whether the request is handled by the user code or the default dialog should be displayed. If you set the accepted property to `true`, make sure to call either dialogAccept() or dialogReject() afterwards.

The following code uses a custom dialog to handle the request:

      WebEngineView {
          // ...
          onFileDialogRequested: function(request) {
              request.accepted = true;
              myDialog.request = request // keep the reference to the request
              myDialog.accept.connect(request.dialogAccept);
              myDialog.reject.connect(request.dialogReject);
              myDialog.visible = true;
          }
          // ...
      }

## Property Documentation

accepted : bool

Indicates whether the file picker dialog request has been handled by the signal handler.

If the property is `false` after any signal handlers for WebEngineView::fileDialogRequested have been executed, a default file picker dialog will be shown. To prevent this, set `request.accepted` to `true`.

The default is `false`.

[read-only] acceptedMimeTypes : stringlist

A list of MIME types specified in the input element. The selection should be restricted to only these types of files.

[read-only] defaultFileName : string

The default name of the file to be selected in the dialog.

[read-only] mode : enumeration

The mode of the file dialog.

Constant | Description
--- | ---
`FileDialogRequest.FileModeOpen` | Allows users to specify a single existing file.
`FileDialogRequest.FileModeOpenMultiple` | Allows users to specify multiple existing files.
`FileDialogRequest.FileModeUploadFolder` | Allows users to specify a single existing folder for upload.
`FileDialogRequest.FileModeSave` | Allows users to specify a non-existing file. If an existing file is selected, the users should be informed that the file is going to be overwritten.

## Method Documentation

void dialogAccept(files)

This function needs to be called when the user accepted the dialog with files.

void dialogReject()

This function needs to be called when the user did not accepted the dialog.